## doclifter 1.10

=== Makefile ===
# Makefile for the doclifter project
VERS=$(shell sed <doclifter.spec -n -e '/Version: \(.*\)/s//\1/p')

MANDIR=/usr/share/man/man1
BINDIR=/usr/bin

DOCS    = README COPYING doclifter.xml doclifter.1 TODO doclifter.spec
TEST    = docliftertest?.man test.troff
SOURCES = doclifter Makefile $(DOCS) $(TEST)

all: doclifter-$(VERS).tar.gz

install: doclifter.1
	cp doclifter $(BINDIR)
	gzip <doclifter.1 >$(MANDIR)/doclifter.1.gz

doclifter.1: doclifter.xml
	xmlto man doclifter.xml

doclifter.html: doclifter.xml
	xmlto xhtml-nochunks doclifter.xml

doclifter-$(VERS).tar.gz: $(SOURCES)
	mkdir doclifter-$(VERS)
	cp $(SOURCES) doclifter-$(VERS)
	tar -czf doclifter-$(VERS).tar.gz doclifter-$(VERS)
	rm -fr doclifter-$(VERS)
	ls -l doclifter-$(VERS).tar.gz

dist: doclifter-$(VERS).tar.gz doclifter.html
	ln -sf doclifter-$(VERS).tar.gz doclifter.tar.gz

## doclifter 2.3

=== Makefile ===
# Makefile for the doclifter project
VERS=$(shell sed <doclifter.spec -n -e '/Version: \(.*\)/s//\1/p')

MANDIR=/usr/share/man/man1
BINDIR=/usr/bin

DOCS    = README COPYING TODO BUGS doclifter.spec \
		doclifter.xml doclifter.1 manlifter.xml manlifter.1
TEST    = docliftertest1.man test.troff
SOURCES = doclifter manlifter Makefile $(DOCS) $(TEST)

all: doclifter-$(VERS).tar.gz

install: doclifter.1
	cp doclifter $(BINDIR)
	gzip <doclifter.1 >$(MANDIR)/doclifter.1.gz
	rm doclifter.1

doclifter.1: doclifter.xml
	xmlto man doclifter.xml

manlifter.1: manlifter.xml
	xmlto man manlifter.xml

doclifter.html: doclifter.xml
	xmlto xhtml-nochunks doclifter.xml

manlifter.html: manlifter.xml
	xmlto xhtml-nochunks manlifter.xml

doclifter-$(VERS).tar.gz: $(SOURCES)
	mkdir doclifter-$(VERS)
	cp $(SOURCES) doclifter-$(VERS)
	tar -czf doclifter-$(VERS).tar.gz doclifter-$(VERS)
	rm -fr doclifter-$(VERS)
	ls -l doclifter-$(VERS).tar.gz

dist: doclifter-$(VERS).tar.gz doclifter.html manlifter.html
	ln -sf doclifter-$(VERS).tar.gz doclifter.tar.gz

## doclifter 2.6

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # Makefile for the doclifter project
-VERS=$(shell sed <doclifter.spec -n -e '/Version: \(.*\)/s//\1/p')
+VERS=2.6
 
 MANDIR=/usr/share/man/man1
 BINDIR=/usr/bin
 
-DOCS    = README COPYING TODO BUGS doclifter.spec \
+DOCS    = README COPYING TODO BUGS \
 		doclifter.xml doclifter.1 manlifter.xml manlifter.1
 TEST    = docliftertest1.man test.troff
-SOURCES = doclifter manlifter Makefile $(DOCS) $(TEST)
+SOURCES = doclifter manlifter Makefile $(DOCS) $(TEST) docbook-duck.png
 
 all: doclifter-$(VERS).tar.gz
 
@@ -35,5 +35,21 @@
 	rm -fr doclifter-$(VERS)
 	ls -l doclifter-$(VERS).tar.gz
 
-dist: doclifter-$(VERS).tar.gz doclifter.html manlifter.html
-	ln -sf doclifter-$(VERS).tar.gz doclifter.tar.gz
+test:
+	doclifter -v docliftertest1.man
+
+pychecker:
+	@echo "Expect: Local variable (lst) not used"
+	@ln -f doclifter doclifter.py
+	@-pychecker --only --quiet --limit 50 doclifter.py
+	@rm -f doclifter.py doclifter.pyc
+
+dist: doclifter-$(VERS).tar.gz
+
+clean:
+	rm -f doclifter.html manlifter.html doclifter.1 manlifter.1 *.tar.gz 
+	rm -f *.pyc docliftertest.xml
+	rm -f SHIPPER.* index.html
+
+release: doclifter-$(VERS).tar.gz doclifter.html manlifter.html
+	shipper -u -m -t; make clean

=== debian/changelog ===
doclifter (2.6-1) unstable; urgency=low

  * New upstream version...
  * ...which fixes python2.6 issues differently.  Undo patch in NMU.
  * Switch to 3.0 (quilt) source format, undoing quilt integration
    in NMU.
  * Update Standards-Version and fix lintian warnings.
  * Tweak manlifter so it works without python-profiler.
  * Add -o option to manlifter, to match the man page.  Closes: #580243.
  * Update copyright to reflect GPL -> BSD switch.
  * Add Recommends for groff-base to get GNU eqn.

 -- Jeff Licquia <licquia@debian.org>  Sat, 19 Feb 2011 17:17:25 -0500

doclifter (2.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch for python2.6 issues. Closes: #580246.
  * Build-depend on quilt, and modify accordingly debian/rules.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 10 May 2010 19:59:31 +0200

doclifter (2.3-2) unstable; urgency=low

  * New maintainer.  Closes: #470885.
  * Include proper copyright notice in debian/copyright.
  * Update Standards-Version.
  * Include Homepage and Vcs-* headers.
  * Re-generate man pages.  Closes: #418643.
  * Fix other lintian warnings.
  * Recommend: plotutils (based on notes in the man page).

 -- Jeff Licquia <licquia@debian.org>  Tue, 27 May 2008 23:02:42 -0400

doclifter (2.3-1) unstable; urgency=low

  * New upstream release (closes: #405632)
  * debian/copyright: fix FSF address
  * Bump Standards version

 -- Ross Burton <ross@debian.org>  Thu, 11 Jan 2007 14:34:47 +0000

doclifter (2.1-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Sun, 23 Jan 2005 18:38:04 +0000

doclifter (1.8-1) unstable; urgency=low

  * New upstream release (closes: #245715)
  * Move to Standards 3.6.1.

 -- Ross Burton <ross@debian.org>  Mon, 26 Apr 2004 08:00:56 +0100

doclifter (1.0.4-1) unstable; urgency=low

  * New upstream release (closing: #190708)
  * debian/control: Updated email address
  * debian/copyright: Updated email address and web site URL.

 -- Ross Burton <ross@debian.org>  Fri, 25 Apr 2003 16:33:22 +0100

doclifter (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Bump to Standards 3.5.8
  * Require debhelper >= 4.0.0.

 -- Ross Burton <ross@burtonini.com>  Wed,  5 Mar 2003 13:35:54 +0000

doclifter (1.0.0-3) unstable; urgency=low

  * Python 2.3 will probably be fine, so only require Python >= 2.2.

 -- Ross Burton <ross@burtonini.com>  Thu, 26 Sep 2002 14:56:50 +0100

doclifter (1.0.0-2) unstable; urgency=low

  * Increase Standards Version to 3.5.7.
  * Added a debian/watch file
  * doclifter: Directly execture /usr/bin/python instead of using env
    and python2.2
  * Change Depends to a versioned python, instead of python2.2

 -- Ross Burton <ross@burtonini.com>  Thu, 26 Sep 2002 13:09:19 +0100

doclifter (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Ross Burton <ross@burtonini.com>  Thu, 22 Aug 2002 17:57:21 +0100

=== debian/control ===
Source: doclifter
Section: devel
Priority: optional
Maintainer: Jeff Licquia <licquia@debian.org>
Homepage: http://www.catb.org/~esr/doclifter/
Vcs-Bzr: http://bzr.licquia.org/doclifter/debian/
Vcs-Browser: http://bzr.licquia.org/loggerhead/doclifter/debian/
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.1

Package: doclifter
Architecture: all
Depends: python (>=2.2), ${misc:Depends}
Recommends: plotutils, groff-base
Suggests: python-profiler
Description: Convert troff to DocBook
 Lifting documents from presentation level to semantic level is hard,
 and a really good job requires human polishing.  This tool aims to do
 everything that can be mechanized, and to preserve any troff-level
 information that might have structural implications in XML comments.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	# Nothing needs to be build. We *could* depends on xmlto and
	# regenerate the docs.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# The makefile is very dumb, and there is really only one thing to
	# install. We'll use dh_* to install everything.
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman doclifter.1 manlifter.1
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# Nothing to do, this is architecture-independent

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## doclifter 2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for the doclifter project
-VERS=2.6
+VERS=2.7
 
 MANDIR=/usr/share/man/man1
 BINDIR=/usr/bin
@@ -7,7 +7,7 @@
 DOCS    = README COPYING TODO BUGS \
 		doclifter.xml doclifter.1 manlifter.xml manlifter.1
 TEST    = docliftertest1.man test.troff
-SOURCES = doclifter manlifter Makefile $(DOCS) $(TEST) docbook-duck.png
+SOURCES = doclifter manlifter Makefile $(DOCS) $(TEST) doclifter-logo.png
 
 all: doclifter-$(VERS).tar.gz

=== debian/changelog ===
doclifter (2.7-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version, fix new lintian issues, fix build
    warnings.
  * Add "make test" to build.

 -- Jeff Licquia <licquia@debian.org>  Sun, 18 Sep 2011 13:10:02 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: http://www.catb.org/~esr/doclifter/
 Vcs-Bzr: http://bzr.licquia.org/doclifter/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/doclifter/debian/
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 6), python (>= 2.2)
+Standards-Version: 3.9.2
 
 Package: doclifter
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,27 @@
 
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	# Nothing needs to be build. We *could* depends on xmlto and
+	# Nothing needs to be built. We *could* depends on xmlto and
 	# regenerate the docs.
+	make test
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	rm -f docliftertest1.man.xml
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	# The makefile is very dumb, and there is really only one thing to
 	# install. We'll use dh_* to install everything.

## doclifter 2.11

=== Makefile ===
# Makefile for the doclifter project
VERSION=$(shell sed <doclifter -n -e '/^version *= *\(.*\)/s//\1/p')

MANDIR=/usr/share/man/man1
BINDIR=/usr/bin

DOCS    = README COPYING TODO PATCHES \
		doclifter.xml doclifter.1 manlifter.xml manlifter.1
SOURCES = doclifter manlifter Makefile $(DOCS) tests/ doclifter-logo.png

all: doclifter-$(VERSION).tar.gz

install: doclifter.1
	cp doclifter $(BINDIR)
	gzip <doclifter.1 >$(MANDIR)/doclifter.1.gz
	rm doclifter.1

doclifter.1: doclifter.xml
	xmlto man doclifter.xml

manlifter.1: manlifter.xml
	xmlto man manlifter.xml

doclifter.html: doclifter.xml
	xmlto xhtml-nochunks doclifter.xml

manlifter.html: manlifter.xml
	xmlto xhtml-nochunks manlifter.xml

doclifter-$(VERSION).tar.gz: $(SOURCES)
	mkdir doclifter-$(VERSION)
	cp -r $(SOURCES) doclifter-$(VERSION)
	tar -czf doclifter-$(VERSION).tar.gz doclifter-$(VERSION)
	rm -fr doclifter-$(VERSION)
	ls -l doclifter-$(VERSION).tar.gz

doclifter-$(VERSION).md5: doclifter-$(VERSION).tar.gz
	@md5sum doclifter-$(VERSION).tar.gz >doclifter-$(VERSION).md5

check:
	@cd tests >/dev/null; make --quiet

PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y --disable="C0103,C0111,C0301,C0302,C0322,C0321,C0324,W0402,W0511,W0141,W0231,W0333,W0631,R0201,R0911,R0912,R0914,R0902,R0903,R0904,R0913,R0914,R0915"
pylint:
	@pylint --output-format=parseable $(PYLINTOPTS) doclifter

pychecker:
	@echo "Expect 4 warnings."
	@ln -f doclifter doclifter.py
	@-pychecker --only --quiet --limit 50 doclifter.py
	@rm -f doclifter.py doclifter.pyc

dist: doclifter-$(VERSION).tar.gz

clean:
	rm -f doclifter.html manlifter.html doclifter.1 manlifter.1
	rm -f *.pyc docliftertest.xml foobar* fixed* *~ bugs.html
	rm -f SHIPPER.* index.html *.tar.gz *.md5

release: doclifter-$(VERSION).tar.gz doclifter-$(VERSION).md5 doclifter.html manlifter.html
	shipper -u -m -t; make clean

# This is used only for updating the bugs page on my website.
# It won't work for anyone else.
update:
	problemgen.py >bugs.html
	scp -r bugs.html prepatch/ login.ibiblio.org:/public/html/catb/esr/doclifter

=== tests/Makefile ===
# Regression tests for doclifter

TESTLOADS := $(shell ls *.man | sed '/.man/s///')

test: regress
	@echo "No output (other than a testfile stem name) is good news."

rebuild:
	@for file in $(TESTLOADS); do \
	    echo "Remaking $${file}.chk"; \
	    ../doclifter <$${file}.man >$${file}.chk 2>&1; \
	done
regress:
	@for file in $(TESTLOADS); do \
	    echo $${file}; \
	    if ../doclifter <$${file}.man >/tmp/regress$$; \
	    then diff -u $${file}.chk /tmp/regress$$; \
	    else echo "*** Nonzero return status on $${file}!"; exit 1; fi \
	done
	@rm -f /tmp/regress

=== debian/changelog ===
doclifter (2.11-1) unstable; urgency=low

  * New upstream version...
  * ...which fixes the .fi crashing problem.  Closes: #696576.
  * Disable the test suite if DEB_BUILD_OPTIONS=nocheck is set.
  * Uplift Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sat, 08 Jun 2013 00:10:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Bzr: http://bzr.licquia.org/doclifter/debian/
 Vcs-Browser: http://bzr.licquia.org/loggerhead/doclifter/debian/
 Build-Depends: debhelper (>= 6), python (>= 2.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: doclifter
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,15 @@
 	dh_testdir
 	# Nothing needs to be built. We *could* depends on xmlto and
 	# regenerate the docs.
-	make test
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	make check
+endif
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	rm -f docliftertest1.man.xml
 	dh_clean
 
 install: build

=== debian/watch ===
version=3
http://www.catb.org/~esr/doclifter/doclifter-(.*)\.tar\.gz

## doclifter 2.17

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Makefile for the doclifter project
 VERSION=$(shell sed <doclifter -n -e '/^version *= *\(.*\)/s//\1/p')
 
-MANDIR=/usr/share/man/man1
-BINDIR=/usr/bin
+PREFIX=/usr
+MANDIR=$(PREFIX)/share/man/man1
+BINDIR=$(PREFIX)/bin
 
 DOCS    = README COPYING TODO PATCHES \
 		doclifter.xml doclifter.1 manlifter.xml manlifter.1
@@ -40,9 +41,12 @@
 check:
 	@cd tests >/dev/null; make --quiet
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y --disable="C0103,C0111,C0301,C0302,C0322,C0321,C0324,W0402,W0511,W0141,W0231,W0333,W0631,R0201,R0911,R0912,R0914,R0902,R0903,R0904,R0913,R0914,R0915"
+PYLINTOPTS = --rcfile=/dev/null --reports=n \
+	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
+	--dummy-variables-rgx='^_|^dummy'
+SUPPRESSIONS = "C0103,C0111,C0301,C0302,C0322,C0321,C0324,C0330,C1001,W0110,W0120,W0123,W0201,W0402,W0511,W0702,W0141,W1401,W0231,W0622,W0333,W0631,R0201,R0911,R0912,R0914,R0902,R0903,R0904,R0913,R0914,R0915,E1101"
 pylint:
-	@pylint --output-format=parseable $(PYLINTOPTS) doclifter
+	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) doclifter
 
 pychecker:
 	@echo "Expect 4 warnings."
@@ -55,10 +59,13 @@
 clean:
 	rm -f doclifter.html manlifter.html doclifter.1 manlifter.1
 	rm -f *.pyc docliftertest.xml foobar* fixed* *~ bugs.html
-	rm -f SHIPPER.* index.html *.tar.gz *.md5
+	rm -f index.html *.tar.gz *.md5
 
 release: doclifter-$(VERSION).tar.gz doclifter-$(VERSION).md5 doclifter.html manlifter.html
-	shipper -u -m -t; make clean
+	shipper version=$(VERSION) | sh -e -x
+
+refresh: doclifter.html manlifter.html
+	shipper -N -w version=$(VERSION) | sh -e -x
 
 # This is used only for updating the bugs page on my website.
 # It won't work for anyone else.

=== debian/changelog ===
doclifter (2.17-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group in debian/control (see #854220).
  * New upstream release (Closes: #739048).
  * Upgrade to debhelper compat level 11.
  * Remove Vcs-Bzr and Vcs-Browser fields from debian/control (the
    repository is no longer reachable).
  * Add new Vcs-Git and Vcs-Browser fields in debian/control.
  * Upgrade to Standards-Version 4.1.4 in debian/control (no changes).
  * Remove "Suggests: python-profiler" line from debian/control as
    python-profiler is no longer part of any Debian distribution.
  * Remove useless ">= 2.2" version restriction of python dependency.
  * Update patches.
  * Upgrade to version 4 format in debian/watch (no changes).
  * Upgrade debian/copyright to the machine-readable format.
  * Delete trailing whitespace from debian/changelog in order to
    silence the file-contains-trailing-whitespace Lintian tag.
  * Add xmlto as a build dependency in debian/control.
  * Mark python dependency with :any in debian/control.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 14 May 2018 17:10:34 +0200

=== debian/control ===
Source: doclifter
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.catb.org/~esr/doclifter/
Build-Depends: debhelper (>= 11), python, xmlto
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/doclifter.git/
Vcs-Browser: https://salsa.debian.org/debian/doclifter

Package: doclifter
Architecture: all
Depends: python:any, ${misc:Depends}
Recommends: plotutils, groff-base
Description: Convert troff to DocBook
 Lifting documents from presentation level to semantic level is hard,
 and a really good job requires human polishing.  This tool aims to do
 everything that can be mechanized, and to preserve any troff-level
 information that might have structural implications in XML comments.

## doclifter 2.18

=== Makefile ===
--- 
+++ 
@@ -59,16 +59,20 @@
 clean:
 	rm -f doclifter.html manlifter.html doclifter.1 manlifter.1
 	rm -f *.pyc docliftertest.xml foobar* fixed* *~ bugs.html
-	rm -f index.html *.tar.gz *.md5
+	rm -f index.html *.tar.gz *.md5 *old
 
 release: doclifter-$(VERSION).tar.gz doclifter-$(VERSION).md5 doclifter.html manlifter.html
 	shipper version=$(VERSION) | sh -e -x
 
-refresh: doclifter.html manlifter.html
+htmlclean: rm *.html
+refresh: htmlclean doclifter.html manlifter.html
 	shipper -N -w version=$(VERSION) | sh -e -x
 
 # This is used only for updating the bugs page on my website.
 # It won't work for anyone else.
+REMOTE=esr@login.ibiblio.org
+UPDIR=/public/html/catb/esr/doclifter
 update:
 	problemgen.py >bugs.html
-	scp -r bugs.html prepatch/ login.ibiblio.org:/public/html/catb/esr/doclifter
+	ssh $(REMOTE) rm -fr $(UPDIR)/prepatch
+	scp -r bugs.html prepatch/ $(REMOTE):$(UPDIR)

=== debian/changelog ===
doclifter (2.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Upgrade to Standards-Version 4.2.1 (no changes).
  * Mark doclifter as Multi-Arch: foreign (as recommended by the
    Multiarch hinter).
  * Update patches:
     - Remove patch 'profiler' (no longer applies).
     - Update patch 'manlifter-outdir' and rename it to
       00-manlifter-outdir.patch.
     - Rename patch 'fix-makefile' to 01-fix-makefile.patch.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 03 Sep 2018 12:17:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://www.catb.org/~esr/doclifter/
 Build-Depends: debhelper (>= 11), python, xmlto
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/doclifter.git/
 Vcs-Browser: https://salsa.debian.org/debian/doclifter
 
 Package: doclifter
 Architecture: all
+Multi-Arch: foreign
 Depends: python:any, ${misc:Depends}
 Recommends: plotutils, groff-base
 Description: Convert troff to DocBook

## doclifter 2.19

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for the doclifter project
-VERSION=$(shell sed <doclifter -n -e '/^version *= *\(.*\)/s//\1/p')
+VERSION=$(shell sed <doclifter -n -e '/^version *= *"\(.*\)"/s//\1/p')
 
 PREFIX=/usr
 MANDIR=$(PREFIX)/share/man/man1

=== tests/Makefile ===
# Regression tests for doclifter
TESTDIRPARENT=/tmp
UTILBINDIR=..

TESTLOADS := $(shell ls *.man | sed '/.man/s///')

default:
	@setpython python2
	@make -e --quiet regress
	@setpython python3
	@make -e --quiet regress
	@setpython python
	@echo "No output (other than testfile stem names) is good news."

rebuild:
	@for file in $(TESTLOADS); do \
	    echo "Remaking $${file}.chk"; \
	    $(UTILBINDIR)/doclifter <$${file}.man >$${file}.chk 2>&1; \
	done
regress:
	@for file in $(TESTLOADS); do \
	    echo $${file}; \
	    if $(UTILBINDIR)/doclifter <$${file}.man >$(TESTDIRPARENT)/regress$$; \
	    then diff -u $${file}.chk $(TESTDIRPARENT)/regress$$; \
	    else echo "*** Nonzero return status on $${file}!"; exit 1; fi \
	done
	@rm -f $(TESTDIRPARENT)/regress

=== debian/changelog ===
doclifter (2.19-2) unstable; urgency=medium

  * QA upload.
  * Switch from python2 to python3; Closes: #936431

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2019 18:20:34 -0400

doclifter (2.19-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Upgrade to Standards-Version 4.4.0 (no changes).
  * Upgrade to debhelper compat level 12.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Sun, 25 Aug 2019 23:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://www.catb.org/~esr/doclifter/
-Build-Depends: debhelper (>= 11), python, xmlto
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), python3, xmlto
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/doclifter.git/
 Vcs-Browser: https://salsa.debian.org/debian/doclifter
 
 Package: doclifter
 Architecture: all
 Multi-Arch: foreign
-Depends: python:any, ${misc:Depends}
+Depends: python3:any, ${misc:Depends}
 Recommends: plotutils, groff-base
 Description: Convert troff to DocBook
  Lifting documents from presentation level to semantic level is hard,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install: ;

=== debian/watch ===
version=4
http://www.catb.org/~esr/doclifter/doclifter-(.*)\.tar\.gz

## doclifter 2.20

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 doclifter-$(VERSION).md5: doclifter-$(VERSION).tar.gz
 	@md5sum doclifter-$(VERSION).tar.gz >doclifter-$(VERSION).md5
 
+# Note: This will show a souriious diff id pic2plot is not installed.
 check:
 	@cd tests >/dev/null; make --quiet
 
@@ -64,7 +65,8 @@
 release: doclifter-$(VERSION).tar.gz doclifter-$(VERSION).md5 doclifter.html manlifter.html
 	shipper version=$(VERSION) | sh -e -x
 
-htmlclean: rm *.html
+htmlclean:
+	rm *.html
 refresh: htmlclean doclifter.html manlifter.html
 	shipper -N -w version=$(VERSION) | sh -e -x

=== tests/Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
 TESTLOADS := $(shell ls *.man | sed '/.man/s///')
 
 default:
-	@setpython python2
+	@./setpython python2
 	@make -e --quiet regress
-	@setpython python3
+	@./setpython python3
 	@make -e --quiet regress
-	@setpython python
+	@./setpython python
 	@echo "No output (other than testfile stem names) is good news."
 
 rebuild:
@@ -22,6 +22,7 @@
 	    echo $${file}; \
 	    if $(UTILBINDIR)/doclifter <$${file}.man >$(TESTDIRPARENT)/regress$$; \
 	    then diff -u $${file}.chk $(TESTDIRPARENT)/regress$$; \
+	        if [ $$? -ne 0 ]; then echo "*** Output differs"; exit 1; fi \
 	    else echo "*** Nonzero return status on $${file}!"; exit 1; fi \
 	done
 	@rm -f $(TESTDIRPARENT)/regress

=== debian/changelog ===
doclifter (2.20-2) unstable; urgency=medium

  * QA upload.
  * debian/patches/01-default-to-py3k.patch:
    - Fix information in header DEP 3 and Lintian report.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 26 Dec 2021 14:11:48 -0300

doclifter (2.20-1) unstable; urgency=medium

  * QA upload.

  [ Leandro Cunha ]
  * New upstream release.
  * Add debian/upstream/metadata.
  * Add debian/salsa-ci.yml.
  * debian/control:
    - Update debhelper-compat old 12 to 13.
    - Bump standards version to 4.6.0.1.
    - Add Rules-Requires-Root: no reported by Lintian.
  * debian/copyright:
    - Update years of maintenance to Eric S. Raymond <esr@thyrsus.com>.
    - Change source field.
  * debian/watch: change to Gitlab repository to import tarball.
  * debian/patches:
    - Drop 01-fix-makefile.patch applied by upstream.
    - Update default-to-py3k.patch and add header.
    - Rename default-to-py3k.patch to 01-default-to-py3k.patch.
  * debian/rules:
    - Fix FTBFS: not run tests.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Thu, 23 Dec 2021 19:02:31 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Homepage: http://www.catb.org/~esr/doclifter/
-Build-Depends: debhelper-compat (= 12), python3, xmlto
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/debian/doclifter.git/
+Homepage: http://www.catb.org/~esr/doclifter
+Build-Depends: debhelper-compat (= 13), python3, xmlto
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/doclifter.git
 Vcs-Browser: https://salsa.debian.org/debian/doclifter
 
 Package: doclifter

=== debian/watch ===
version=4
https://gitlab.com/esr/doclifter/tags?sort=updated_desc archive/@ANY_VERSION@/doclifter-\d\S*@ARCHIVE_EXT@

## doclifter 2.21

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 # Makefile for the doclifter project
+#
+# SPDX-FileCopyrightText: Copyright Eric S. Raymond <esr@thyrsus.com>
+# SPDX-License-Identifier: BSD-2-Clause
+
 VERSION=$(shell sed <doclifter -n -e '/^version *= *"\(.*\)"/s//\1/p')
 
 PREFIX=/usr
@@ -38,22 +42,21 @@
 doclifter-$(VERSION).md5: doclifter-$(VERSION).tar.gz
 	@md5sum doclifter-$(VERSION).tar.gz >doclifter-$(VERSION).md5
 
-# Note: This will show a souriious diff id pic2plot is not installed.
+# Note: This will show a spurious diff if pic2plot is not installed.
 check:
 	@cd tests >/dev/null; make --quiet
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n \
-	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-	--dummy-variables-rgx='^_|^dummy'
-SUPPRESSIONS = "C0103,C0111,C0301,C0302,C0322,C0321,C0324,C0330,C1001,W0110,W0120,W0123,W0201,W0402,W0511,W0702,W0141,W1401,W0231,W0622,W0333,W0631,R0201,R0911,R0912,R0914,R0902,R0903,R0904,R0913,R0914,R0915,E1101"
 pylint:
-	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) doclifter
+	@pylint --score=n doclifter
 
 pychecker:
 	@echo "Expect 4 warnings."
 	@ln -f doclifter doclifter.py
 	@-pychecker --only --quiet --limit 50 doclifter.py
 	@rm -f doclifter.py doclifter.pyc
+
+reflow:
+	@black doclifter manlifter buglist.py
 
 dist: doclifter-$(VERSION).tar.gz
 
@@ -62,12 +65,17 @@
 	rm -f *.pyc docliftertest.xml foobar* fixed* *~ bugs.html
 	rm -f index.html *.tar.gz *.md5 *old
 
+htmlclean:
+	rm *.html
+
+NEWSVERSION=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
+
 release: doclifter-$(VERSION).tar.gz doclifter-$(VERSION).md5 doclifter.html manlifter.html
+	@[ $(VERSION) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper version=$(VERSION) | sh -e -x
 
-htmlclean:
-	rm *.html
 refresh: htmlclean doclifter.html manlifter.html
+	@[ $(VERSION) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper -N -w version=$(VERSION) | sh -e -x
 
 # This is used only for updating the bugs page on my website.

=== tests/Makefile ===
# Regression tests for doclifter
TESTDIRPARENT=/tmp
UTILBINDIR=..

TESTLOADS := $(shell ls *.man | sed '/.man/s///')

check:
	$(MAKE) tap | ./tapview

rebuild:
	@for file in $(TESTLOADS); do \
	    echo "Remaking $${file}.chk"; \
	    $(UTILBINDIR)/doclifter <$${file}.man >$${file}.chk 2>&1; \
	done

tap:
	echo "1..$$(ls *.man | wc -l)"
	@for test in $(TESTLOADS); \
	do \
		$(UTILBINDIR)/doclifter <"$${test}.man" | ./tapdiffer "$${test}" "$${test}.chk"; \
	done

=== debian/changelog ===
doclifter (2.21-4) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/tests/control: Create autopkgtest.

 -- Ricardo Di Ricco Pinheiro <ricardopinheiro@alunos.utfpr.edu.br>  Thu, 30 Oct 2025 11:21:57 -0300

doclifter (2.21-3) unstable; urgency=medium

  * QA upload.
  * d/watch: Compatibility with new changes in GitLab.
    + Fix debian/watch no matching files for watch line.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Wed, 27 Mar 2024 00:11:39 -0300

doclifter (2.21-2) unstable; urgency=medium

  * QA upload.
  * d/copyright:
    - Add files tests/tapdiffer and tests/tapview with MIT-0.
    - Add files debian/* with contributors since 2002.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 18 Feb 2024 13:41:48 -0300

doclifter (2.21-1) unstable; urgency=medium

  * QA upload.

  [ Leandro Cunha ]
  * New upstream version.
  * d/patches: Refresh patches and fix FTBFS.
  * d/control: Bump Standards Version to 4.6.2.
  * d/upstream/metadata: Minor change.

  [ Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 16 Feb 2024 19:32:06 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://www.catb.org/~esr/doclifter
 Build-Depends: debhelper-compat (= 13), python3, xmlto
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/doclifter.git
 Vcs-Browser: https://salsa.debian.org/debian/doclifter

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install: ;

# Commands not to run:
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: doclifter -V 2>&1 | grep "^doclifter"
Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/esr/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
